%if 0%{?el7}
%define dist .el7
%endif

#define gitver .git9477364

Name:           kvazaar
Version:        0.8.3
Release:        1%{?dist}
Summary:        An open-source HEVC encoder

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

Group:          System Environment/Libraries
License:        LGPLv2.1
URL:            http://ultravideo.cs.tut.fi/
Source0:        https://github.com/ultravideo/kvazaar/archive/v%{version}.tar.gz
Source1:        greatest.tar.xz
# git clone https://github.com/ultravideo/kvazaar.git
# cd kvazaar ; git log -1 --pretty=format:".git%h" ; cd ..
# tar acvf kvazaar-%%{version}%%{?gitver}.tar.xz kvazaar --exclude=.git
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  yasm nasm
BuildRequires:  autoconf automake libtool

%description
Kvazaar is not yet finished and does not implement all the features of HEVC. Compression performance will increase as we add more coding tools.

%package        -n lib%{name}-devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}, pkgconfig
Obsoletes:      %{name}-devel

%description    -n lib%{name}-devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        -n lib%{name}-static
Summary:        Static development files for %{name}
Group:          Development/Libraries
Obsoletes:      %{name}-static

%description    -n lib%{name}-static
The %{name}-devel package contains static libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
#sed -i 's,-m644 $(LIB),-m755 $(LIB),g' src/Makefile
rm -rf greatest
%{__xz} -dc %{SOURCE1} | %{__tar} -xf -
mkdir -p m4
autoreconf -ivf

%build
%configure 
make %{?_smp_mflags} -C src

%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=%{_prefix} LIBDIR=%{_libdir} DESTDIR=$RPM_BUILD_ROOT -C src
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%{__rm} -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/doc

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root, 0755)
%doc CREDITS README.md doc/syntax_elements.txt
%{!?_licensedir:%global license %%doc}
%license COPYING
%{_bindir}/%{name}
%{_libdir}/lib%{name}.so.*

%files -n lib%{name}-devel
%defattr(-, root, root, 0755)
%{_libdir}/lib%{name}.so
%{_includedir}/*.h
%{_libdir}/pkgconfig/*.pc

%files -n lib%{name}-static
%{_libdir}/libkvazaar.a

%changelog
* Sat Sep 10 2016 momo-i <webmaster@momo-i.org> - 0.8.3-1
- Update to 0.8.3

* Thu Jan 21 2016 momo-i <webmaster@momo-i.org> - 0.8.2-1
- Update to 0.8.2

* Thu Nov 12 2015 momo-i <webmaster@momo-i.org> - 0.7.2-2
- Rebuilt for el7

* Thu Nov 12 2015 momo-i <webmaster@momo-i.org> - 0.7.2-1
- Update to 0.7.2

* Tue Oct 27 2015 momo-i <webmaster@momo-i.org> - 0.7.1-1
- Update to 0.7.1

* Thu Sep 10 2015 momo-i <webmaster@momo-i.org> - 0.5.0-3.gitb75bd12
- rename package

* Thu Sep 10 2015 momo-i <webmaster@momo-i.org> - 0.5.0.gitb75bd12
- Initial rpm release.
